org.apache.felix.obrplugin

## Class ObrInstall

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.obrplugin.ObrInstall

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="install",
            threadSafe=true,
            defaultPhase=INSTALL)
      public final class ObrInstall
      extends org.apache.maven.plugin.AbstractMojo

  Installs bundle details in the local OBR repository (life-cycle goal)
  Author:
    Felix Project Team

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObrInstall()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObrInstall

          public ObrInstall()

  - ### Method Detail

    - #### execute

          public void execute()

Copyright © 2015. All rights reserved.